Bug 862897 - [RFE] Make VM Health check thread more verbose
[RFE] Make VM Health check thread more verbose
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 16:29 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-05 14:41:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 34192 None None None 2012-10-03 16:30:22 EDT

  None (edit)
Description Charles Crouch 2012-10-03 16:29:36 EDT
Right now the VM Health check thread, when it sees high memory utilization, will log a message saying roughly: "Too much memory being consumed: XXX Mb"

It would be helpful if we could log more information to get an idea about what exactly is consuming all of the memory. A quick google shows information on memory per thread doesn't look very promising, perhaps we could just log the values from the java.lang.MemoryPool jvm mbeans?
If we wanted to get fancier we could perhaps look at some of the hooks things like 
http://visualvm.java.net/index.html (does jdk7 help here?) or Thermostat (http://icedtea.classpath.org/wiki/Thermostat#Memory_Management) are using?
Comment 1 Jay Shaughnessy 2014-08-25 16:17:02 EDT
Recommend close or JON4.
Comment 2 Larry O'Leary 2015-01-05 14:41:31 EST
Closing this as no progress has been made in this area.

As of the JBoss ON 3.3 release, the VM health check thread is still unable to inform the user or administrator of VM health issues.

Note You need to log in before you can comment on or make changes to this bug.